Skip to main content
POST
/
api
/
v1
/
stripe
/
create-checkout-session
Create Checkout Session
curl --request POST \
  --url https://api.example.com/api/v1/stripe/create-checkout-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tier": "<string>",
  "success_url": "<string>",
  "cancel_url": "<string>",
  "billing_period": "monthly"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tier
string
required
success_url
string
required
cancel_url
string
required
billing_period
string
default:monthly

Response

Successful Response